package com.virtual.plat.server.rs.vm.entity;

import com.virtual.plat.server.rs.vm.entity.RsDomain;
import java.io.Serializable;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(
   name = "burstdomain"
)
@XmlAccessorType(XmlAccessType.FIELD)
public class RsDomainForBurst implements Serializable {

   private static final long serialVersionUID = -1364331696174024326L;
   private Long vmId;
   private Long cvmId;
   private Long destCicId;
   private Long destOrgId;
   private Long destClusterId;
   private Integer autoStart;
   private Integer delLocal;
   @XmlElement(
      name = "network"
   )
   private List netList;
   private RsDomain rsDomain;
   @XmlElement(
      name = "orgStore"
   )
   private List orgStoreList;
   @XmlElement(
      name = "orgNet"
   )
   private List orgNetList;


   public Long getVmId() {
      return this.vmId;
   }

   public void setVmId(Long var1) {
      this.vmId = var1;
   }

   public Long getCvmId() {
      return this.cvmId;
   }

   public void setCvmId(Long var1) {
      this.cvmId = var1;
   }

   public Long getDestCicId() {
      return this.destCicId;
   }

   public void setDestCicId(Long var1) {
      this.destCicId = var1;
   }

   public Long getDestOrgId() {
      return this.destOrgId;
   }

   public void setDestOrgId(Long var1) {
      this.destOrgId = var1;
   }

   public Long getDestClusterId() {
      return this.destClusterId;
   }

   public void setDestClusterId(Long var1) {
      this.destClusterId = var1;
   }

   public Integer getAutoStart() {
      return this.autoStart;
   }

   public void setAutoStart(Integer var1) {
      this.autoStart = var1;
   }

   public Integer getDelLocal() {
      return this.delLocal;
   }

   public void setDelLocal(Integer var1) {
      this.delLocal = var1;
   }

   public List getNetList() {
      return this.netList;
   }

   public void setNetList(List var1) {
      this.netList = var1;
   }

   public String toString() {
      return "RsDomainForBurst [vmId=" + this.vmId + ", cvmId=" + this.cvmId + ", destCicId=" + this.destCicId + ", destOrgId=" + this.destOrgId + ", destClusterId=" + this.destClusterId + ", autoStart=" + this.autoStart + ", delLocal=" + this.delLocal + ", netList=" + this.netList + "]";
   }

   public void setRsDomain(RsDomain var1) {
      this.rsDomain = var1;
   }

   public RsDomain getRsDomain() {
      return this.rsDomain;
   }

   public void setOrgStoreList(List var1) {
      this.orgStoreList = var1;
   }

   public List getOrgStoreList() {
      return this.orgStoreList;
   }

   public void setOrgNetList(List var1) {
      this.orgNetList = var1;
   }

   public List getOrgNetList() {
      return this.orgNetList;
   }
}
